Remove dependency on libstartup-notification

diff -ur obconf-old/configure.ac obconf/configure.ac
--- obconf-old/configure.ac	2013-09-08 23:11:08.000000000 +0700
+++ obconf/configure.ac	2014-01-31 09:51:22.132553326 +0700
@@ -23,10 +23,6 @@
 AC_SUBST(OPENBOX_CFLAGS)
 AC_SUBST(OPENBOX_LIBS)
 
-PKG_CHECK_MODULES(LIBSTARTUPNOTIFICATION, [libstartup-notification-1.0])
-AC_SUBST(LIBSTARTUPNOTIFICATION_CFLAGS)
-AC_SUBST(LIBSTARTUPNOTIFICATION_LIBS)
-
 PKG_CHECK_MODULES(GTK, [gtk+-2.0 >= 2.24.0])
 AC_SUBST(GTK_CFLAGS)
 AC_SUBST(GTK_LIBS)
diff -ur obconf-old/src/main.c obconf/src/main.c
--- obconf-old/src/main.c	2013-09-08 23:11:08.000000000 +0700
+++ obconf/src/main.c	2014-01-31 09:49:24.139228529 +0700
@@ -30,9 +30,6 @@
 #include "gettext.h"
 
 #include <gdk/gdkx.h>
-#define SN_API_NOT_YET_FROZEN
-#include <libsn/sn.h>
-#undef SN_API_NOT_YET_FROZEN
 #include <stdlib.h>
 
 GtkWidget *mainwin = NULL;
@@ -337,9 +334,6 @@
 
 void obconf_show_main()
 {
-    SnDisplay *sn_d;
-    SnLauncheeContext *sn_cx;
-
     if (gtk_widget_get_visible(mainwin)) return;
 
     gtk_widget_show_all(mainwin);
@@ -347,23 +341,4 @@
     /* Focus on the tab number specified by --tab. */
     if (obc_tab)
         gtk_notebook_set_current_page(GTK_NOTEBOOK(tabstrip), obc_tab);
-
-
-    sn_d = sn_display_new(GDK_DISPLAY_XDISPLAY(gdk_display_get_default()),
-                          NULL, NULL);
-
-    sn_cx = sn_launchee_context_new_from_environment
-        (sn_d, gdk_screen_get_number(gdk_display_get_default_screen
-                                     (gdk_display_get_default())));
-
-    if (sn_cx)
-        sn_launchee_context_setup_window
-            (sn_cx, GDK_WINDOW_XID(gtk_widget_get_window(mainwin)));
-
-    if (sn_cx)
-        sn_launchee_context_complete(sn_cx);
-
-    if (sn_cx)
-        sn_launchee_context_unref(sn_cx);
-    sn_display_unref(sn_d);
 }
